- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# TexturePool::TileDescriptor Struct Reference

Search for all occurrences

## Detailed Description

This structure describes the default texture parameters used when creating texture tiles for this TexturePool.

Definition at line 476 of file material.h.

`#include <material.h>`

List of all members.

## Public Member Functions
| TileDescriptor (unsigned int iW, unsigned int iH, enum Image::Format eFormat, unsigned int iChannelCount, const QString &sFileFormat, const Color &cFillColor)
| The file format used when saving texture tiles. (i.e. "png", "tif", etc.)
| TileDescriptor ()
| TileDescriptor (const TileDescriptor &pOther, unsigned int iChannelCount)
bool | IsValid () const
virtual void | Serialize (Stream &s)
## Public Attributes
unsigned int | m_iWidth
unsigned int | m_iHeight
| The default width, in pixels of new texture tiles.
enum Image::Format | m_eFormat
| The default height, in pixels of new texture tiles.
unsigned int | m_iChannelCount
| The default pixel format of new texture tiles.
Color | m_cFillColor
| The default channel count of new texture tiles.
QString | m_sFileFormat
| The color used to fill new texture tiles.

## Constructor & Destructor Documentation

TileDescriptor | ( | unsigned int | iW,
|  | unsigned int | iH,
|  | enum Image::Format | eFormat,
|  | unsigned int | iChannelCount,
|  | const QString & | sFileFormat,
|  | const Color & | cFillColor
| ) |  |

The file format used when saving texture tiles. (i.e. "png", "tif", etc.)

TileDescriptor | ( |  | ) |

TileDescriptor | ( | const TileDescriptor & | pOther,
|  | unsigned int | iChannelCount
| ) |  |

## Member Function Documentation

bool IsValid | ( |  | ) | const

Search for all occurrences

virtual void Serialize | ( | Stream & | s | ) | `[virtual]`

Search for all occurrences

## Member Data Documentation

unsigned int m_iWidth

Search for all occurrences

Definition at line 478 of file material.h.

unsigned int m_iHeight

Search for all occurrences

The default width, in pixels of new texture tiles.

Definition at line 479 of file material.h.

enum Image::Format m_eFormat

Search for all occurrences

The default height, in pixels of new texture tiles.

Definition at line 480 of file material.h.

unsigned int m_iChannelCount

Search for all occurrences

The default pixel format of new texture tiles.

Definition at line 481 of file material.h.

Color m_cFillColor

Search for all occurrences

The default channel count of new texture tiles.

Definition at line 482 of file material.h.

QString m_sFileFormat

Search for all occurrences

The color used to fill new texture tiles.

Definition at line 483 of file material.h.

The documentation for this struct was generated from the following file:

- Mudbox/material.h